Subject: Re: [Isis-wg] Re: isisCircLevelIDOctet in the WG MIB

From: Christian Hopps <[email-masked]>
Date: Wed, 8 Dec 2004 06:13:00 -0800

I would suggest that this value be read-only and there only be one 
object.

Chris.

On Nov 9, 2004, at 9:28 AM, Parker, Jeff wrote:

> Jonathan -
>     I see your point, but wonder if the importance of a default value
> outweighs the confusion of having two names for this byte.
>
> - jeff parker
>
>
> On 11/9/04 11:51 AM, "Jonathan Harrison" 
> <[email-masked]>
> wrote:
>
>> Jeff,
>>
>> I've got a concern over the usability of the isisCircLevelIDOctet 
>> object
>> defined in the isisCircLevelTable.
>>
>>     isisCircLevelIDOctet OBJECT-TYPE
>>         SYNTAX Integer32(0..255)
>>         MAX-ACCESS read-create
>>         STATUS current
>>         DESCRIPTION
>>             "A one byte identifier that can be used in protocol 
>> packets
>>              to identify a circuit.  Values of isisCircLevelIDOctet
>>              do not need to be unique.  They are only required to
>>              differ on LANs where the Intermediate System is the
>>              Designated Intermediate System."
>>     ::= { isisCircLevelEntry 5 }
>>
>> There are the following issues with this.
>>
>>  - The properties of the object are different for point-to-point 
>> circuits
>> and for LAN circuits.  For a point-to-point circuit, the value 0 is
>> acceptable, and could be used as a sensible default.  On the other 
>> hand, for
>> a broadcast circuit, the value 0 cannot be used if the IS-IS instance 
>> could
>> become DIS on the LAN, and there is no sensible default value (due to 
>> the
>> uniqueness requirement).
>>
>>  - As a general point, it would be good for all read-create objects 
>> in the
>> isisCircLevel table to have MIB defined default values.  Currently, 
>> the
>> IDOctet is the only non-defaultable value, and since the IDOctet is 
>> used in
>> IIH PDUs, a value must be chosen for this object before a circuit can 
>> be
>> activated via the MIB.  Circuit configuration would be much simpler 
>> if it
>> only required the creation of a row in the isisCircuitTable, without 
>> the
>> modification of any objects in the isisCircLevel table.
>>
>>  - The reason for making the value level specific, was to allow 
>> support for
>> the "Maintaining more than 255 circuits in IS-IS" draft
>> (draft-ietf-isis-wg-255adj).  However, if this draft is supported, 
>> then a
>> unique value for the IDOctet object is chosen by the IS-IS instance 
>> when it
>> becomes DIS on a LAN, and so it makes more sense for the MIB object 
>> to be
>> read-only.
>>
>> These points suggest that the usability of the MIB would be improved 
>> by
>> splitting this object into two separate objects.
>>
>>  - The object for point-to-point circuits is read-create, with the 
>> default
>> value of zero.  Although this object could move to the isisCircTable, 
>> it
>> probably makes more sense to leave it in the isisCircLevel table 
>> (since it
>> should be kept with isisCircLevelID).
>>
>>  - The object for broadcast circuits is read-only, and reflects the 
>> value
>> chosen by the IS-IS instance.  Since it is level specific, it must 
>> remain in
>> the isisCircLevelTable.
>>
>> What do you think?  If you agree, I'm happy to suggest some text.
>>
>> Thanks,
>> Jon
>
>
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg